:root {
  --color-black: #2f2f2f;
  --color-white: #f2f2f2;
  --color-gray: #e3e3e3;
  --color-blue: #0095ff;
  --color-red: #ff5252;
  --color-orange: #f5b116;
  --gradient-blue: linear-gradient(
    135deg,
    rgba(0, 149, 255, 1) 0%,
    rgba(0, 238, 255, 1) 100%
  );
  --webkit-gradient-blue: -webkit-linear-gradient(
    135deg,
    rgba(0, 149, 255, 1) 0%,
    rgba(0, 238, 255, 1) 100%
  );
}

* {
  /* outline: 1px black solid; */
  color: var(--color-black);
  margin: 0px;
  padding: 0px;
  font-family: "Noto Sans TC", sans-serif;
}

html {
  font-size: 14px;
}

h1 {
  font-size: 4rem;
}

h2 {
  font-size: 2.25rem;
}

h3 {
  font-size: 1.5rem;
}

p {
  font-size: 1rem;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  position: relative;
  overflow: hidden;
}

/*全域樣式*/
.col1-style {
  width: 8.3333%;
}

.col2-style {
  width: 16.6667%;
}

.col3-style {
  width: 25%;
}

.col4-style {
  width: 33.3333%;
}

.col5-style {
  width: 41.6667%;
}

.col6-style {
  width: 50%;
}

.col7-style {
  width: 58.3333%;
}

.col8-style {
  width: 66.6667%;
}

.col12-style {
  width: 100%;
}

.title-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100px;
}

/* loading畫面 */
.loading-container {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 99999999;
  background-color: var(--color-blue);
}

.loader {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 6rem;
  margin-top: 3rem;
  margin-bottom: 3rem;
}

.loader:before,
.loader:after {
  content: "";
  position: absolute;
  border-radius: 50%;
  animation: pulsOut 1.8s ease-in-out infinite;
  filter: drop-shadow(0 0 1rem rgba(255, 255, 255, 0.75));
}

.loader:before {
  width: 100%;
  padding-bottom: 100%;
  box-shadow: inset 0 0 0 1rem #fff;
  animation-name: pulsIn;
}

.loader:after {
  width: calc(100% - 2rem);
  padding-bottom: calc(100% - 2rem);
  box-shadow: 0 0 0 0 #fff;
}

@keyframes pulsIn {
  0% {
    box-shadow: inset 0 0 0 1rem #fff;
    opacity: 1;
  }

  50%,
  100% {
    box-shadow: inset 0 0 0 0 #fff;
    opacity: 0;
  }
}

@keyframes pulsOut {
  0%,
  50% {
    box-shadow: 0 0 0 0 #fff;
    opacity: 0;
  }

  100% {
    box-shadow: 0 0 0 1rem #fff;
    opacity: 1;
  }
}

/* 尺寸不符畫面 */
.size-error-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 9999999;
  background-color: var(--color-red);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  display: none;
}

.size-error-text {
  color: var(--color-white);
  text-align: center;
  margin: 20px 0;
}

#size-error-emoji {
  transform: translateX(-10px);
}

/* 裝飾鉤子 */

#hook-canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: -1;
  pointer-events: none;
}

/* 裝飾尺 */
.ruler-container {
  position: fixed;
  top: 50%;
  left: 5%;
  z-index: 10000;
  pointer-events: none;
  transform: translateY(-50%);
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.ruler-stroke {
  width: 50px;
  height: 50px;
  border: 1px solid var(--color-blue);
  border-radius: 999px;
  background-color: #fff;
  position: relative;
  overflow: hidden;
}

#ruler {
  position: relative;
  width: 100%;
  height: 100%;
  -webkit-mask-image: linear-gradient
    (to bottom, transparent 0%, black 30%, black 70%, transparent 100%);
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 30%,
    black 70%,
    transparent 100%
  );
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
}

#ruler-contoraller {
  position: absolute;
  top: 50%;
  left: 0;
}

#ruler-inner {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.ruler-line {
  width: 25px;
  height: 1px;
  background-color: var(--color-blue);
  margin-bottom: 5px;
}

.ruler-line-long {
  width: 40px;
  height: 1px;
  background-color: var(--color-blue);
  margin-bottom: 5px;
}

.ruler-text-container {
  position: relative;
  height: 150px;
  width: 200px;
  text-align: center;
  overflow: hidden;
  -webkit-mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 30%,
    black 70%,
    transparent 100%
  );
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  mask-image: linear-gradient(
    to bottom,
    transparent 0%,
    black 30%,
    black 70%,
    transparent 100%
  );
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
}

.ruler-text-inner {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transform: translateY(50%);
}

.ruler-text {
  opacity: 0.5;
  margin: 10px;
  transform: translateY(50%);
}

/* 回到最上面的按鈕 */
#go-top-button {
  position: fixed;
  bottom: 80px;
  right: 80px;
  width: 80px;
  height: 80px;
  border: 1px solid var(--color-blue);
  border-radius: 999px;
  background-color: #fff;
  cursor: pointer;
  z-index: 50000;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transform: scale(0);
}

.go-top-icon {
  height: 40px;
  object-fit: contain;
}

/*logo*/
.main-logo {
  position: fixed;
  top: 65px;
  left: 20px;
  height: 50px;
  object-fit: contain;
  z-index: 2000;
  transform: translateY(-50%);
  filter: brightness(0) saturate(100%) invert(46%) sepia(78%) saturate(3658%)
    hue-rotate(182deg) brightness(100%) contrast(103%);
}

/* RWD漢堡選單 */
.hamburger-menu {
  display: none;
}

/*nav欄位*/
.nav-bar {
  position: sticky;
  top: 0;
  height: 150px;
  z-index: 1000;
  background-color: rgba(255, 255, 255, 0.2);
  border-bottom: 1px solid var(--color-gray);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
}

.nav-links {
  display: flex;
  /* justify-content: space-around; */
  align-items: center;
  height: 100%;
  border-right: 1px solid var(--color-gray);
  border-left: 1px solid var(--color-gray);
}

.nav-link {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  height: 100%;
  flex: 1;
  text-decoration: none;
}

.nav-link:hover {
  border-right: 1px solid var(--color-gray);
  border-left: 1px solid var(--color-gray);
}

.nav-link:hover p {
  transition: all 0.3s ease-in-out;
  background-color: var(--color-blue);
  color: var(--color-white);
}

.nav-link p {
  text-align: center;
  width: 100%;
  padding: 10px 0;
  margin-bottom: 30px;
}

.nav-accent-bar {
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-top: 1px solid var(--color-gray);
}

.nav-accent-bar div {
  height: 100%;
  border-right: 1px solid var(--color-gray);
  border-left: 1px solid var(--color-gray);
}

.nav-keypoint-link {
  border: 1px solid var(--color-blue);
  background-color: #0095ff30;
}

.nav-publicity {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
}

.nav-publicity svg {
  height: 1.5rem;
  margin-right: 0.5rem;
  filter: brightness(0) saturate(100%) invert(35%) sepia(56%) saturate(3161%)
    hue-rotate(189deg) brightness(109%) contrast(102%);
}

.nav-publicity h3 {
  text-align: center;
  color: var(--color-blue);
}
/* banner */
.banner {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100vh;
}

.banner-img-container {
  position: relative;
  object-fit: cover;
  overflow: hidden;
  flex: 1;
  /* border-right: 1px solid var(--color-gray);
  border-left: 1px solid var(--color-gray); */
}

.vedio-dark {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* z-index: 10; */
  background: linear-gradient(
    90deg,
    rgba(0, 149, 255, 0) 0%,
    rgba(0, 149, 255, 0.5) 20%,
    rgba(0, 149, 255, 0.5) 80%,
    rgba(0, 149, 255, 0) 100%
  );
}

.banner-img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  /* background-image: url("../image/BANNER/BANNER-02.gif");
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover; */
}

/* .banner-img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  background-image: url("../image/BANNER/BANNER-01.png");
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover;
  -webkit-mask: url("../image/logo/logo_black.png") no-repeat center center;
  -webkit-mask-size: contain;
  mask: url("../image/logo/logo_black.png") no-repeat center center;
  mask-size: contain;
} */

.banner-content {
  position: absolute;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.banner-content p {
  color: #fff;
}

.banner-TOSHMS-img {
  width: 150px;
  object-fit: contain;
}

.banner-content-line {
  height: 1px;
  width: 70%;
  background-color: #fff;
  margin: 20px 0;
}

.banner-logo-white {
  width: 20rem;
  object-fit: contain;
}

.banner-content h2 {
  color: #fff;
}

.banner-content h3 {
  color: #fff;
}

.banner-want-to-try-button {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-white);
  border: 1px solid var(--color-white);
  padding: 10px;
  text-decoration: none;
  margin-top: 1rem;
  font-size: 1.2rem;
}

.banner-want-to-try-button:hover {
  transition: all 0.3s ease-in-out;
  background-color: var(--color-blue);
  border: 1px solid var(--color-blue);
  color: var(--color-white);
}

.video-illustrate {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  color: #fff;
  display: flex;
  align-items: center;
  font-size: 0.8rem;
}

.banner-down-block {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-top: 1px solid var(--color-gray);
}

.go-down-button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 120px;
  height: 120px;
  color: var(--color-blue);
  cursor: pointer;
  background-color: transparent;
  border: none;
  outline: none;
  margin: 0 auto;
}

.button-line {
  background-color: var(--color-blue);
  width: 1px;
  height: 50px;
}

#banner-height-val {
  color: var(--color-blue);
}

.button-circle {
  border: 1px solid var(--color-blue);
  border-radius: 999px;
  width: 15px;
  height: 15px;
}

/* slogan */
.slogan {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 300px;
  background: var(--gradient-blue);
  z-index: -2;
}

.slogan-text {
  font-family: "Noto Serif TC", serif;
  font-weight: 900;
  color: var(--color-white);
  letter-spacing: 5px;
}

.slogan-text div {
  font-family: "Noto Serif TC", serif;
  font-weight: 900;
  color: var(--color-white);
}

/* 內頁 */
/* .container {
} */

/* footer */
footer {
  position: relative;
  height: 300px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-black);
  overflow: hidden;
}

.footer p {
  color: var(--color-white);
}

.footer-left {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
  flex: 1;
  /* padding: 0 5%; */
  padding-left: 5%;
  flex-shrink: 1;
}

.footer-left img {
  width: 60%;
  object-fit: cover;
  filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%)
    hue-rotate(206deg) brightness(112%) contrast(101%);
}

.footer-center {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 80%;
  aspect-ratio: 1 / 1;
  border-radius: 999px;
  border: 1px solid var(--color-white);
  flex-shrink: 0;
}

.footer-center::before {
  content: "";
  position: absolute;
  height: 80%;
  aspect-ratio: 1 / 1;
  border-radius: 999px;
  border: 1px solid var(--color-white);
  animation: footer-center-anim 2s ease-out infinite;
}

@keyframes footer-center-anim {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  100% {
    transform: scale(1.2);
    opacity: 0;
  }
}

.footer-center p {
  margin: 10px 0;
  letter-spacing: 5px;
}

.footer-right {
  display: flex;
  flex-direction: column;
  letter-spacing: 5px;
  text-align: right;
  flex: 1;
  padding-right: 5%;
  flex-shrink: 0;
}
